com.holonplatform.vaadin7.navigator.internal

## Interface ViewConfigurationCache

- All Known Implementing Classes:
    DefaultViewConfigurationCache

      public interface ViewConfigurationCache

  Cache to store and retrieve `ViewConfiguration` for view classes
  Since:
    5.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCache()` Clear cache
    `ViewConfiguration` | `getViewConfiguration(Class<? extends com.vaadin.navigator.View> viewClass)` Get cached view configuration
    `boolean` | `hasViewConfiguration(Class<? extends com.vaadin.navigator.View> viewClass)` Check if cache contains a view configuration associated to given `viewClass`
    `ViewConfiguration` | `storeViewConfiguration(Class<? extends com.vaadin.navigator.View> viewClass, ViewConfiguration viewConfiguration)` Put given `viewConfiguration` associated to view class if not already present in cache.

- - ### Method Detail

    - #### clearCache

          void clearCache()

      Clear cache

    - #### hasViewConfiguration

          boolean hasViewConfiguration(Class<? extends com.vaadin.navigator.View> viewClass)

      Check if cache contains a view configuration associated to given `viewClass`
      Parameters:
        `viewClass` - View class
      Returns:
        `true` if cache contains a view configuration associated to given `viewClass`

    - #### getViewConfiguration

          ViewConfiguration getViewConfiguration(Class<? extends com.vaadin.navigator.View> viewClass)

      Get cached view configuration
      Parameters:
        `viewClass` - View class
      Returns:
        ViewConfiguration associated to given view class, or `null` if it is not present in cache

    - #### storeViewConfiguration

          ViewConfiguration storeViewConfiguration(Class<? extends com.vaadin.navigator.View> viewClass,
                                                   ViewConfiguration viewConfiguration)

      Put given `viewConfiguration` associated to view class if not already present in cache.
      Parameters:
        `viewClass` - View class
        `viewConfiguration` - View configuration to store in cache
      Returns:
        If a view configuration for the view class was already in cache, this will be returned. Otherwise, new stored configuration is returned.

Copyright © 2019 The Holon Platform. All rights reserved.